
n = 100; % number of observations in the sample.  
dir = './samples-hf/';
nFiles = 5;

listing = ls([dir, '*.txt']);

overlap = [];

for i=1:nFiles
    f1 = [dir, listing(i,:)];
    s1 = sample(n,'isHeader',true,'isFormatting',true, ...
        'name','s1','fileName', f1);
    
    for j=1:nFiles
       if j ~= i
            f2 = [dir, listing(j,:)];   
            s2 = sample(n,'isHeader',true,'isFormatting',true, ...
                'name','s2','fileName', f2);           
               overlap = [overlap ; dataFrame.overlap(s1,s2)]; %#ok<AGROW>
               disp(i);
               disp(j);
       end
    end
    
end

avg = sum(overlap)/length(overlap);

disp('Average overlap across all samples');
disp(avg);